#include <fbsched.h>
#include <time.h>

double fact(double x)
{
	if (x == 1.0)
		return x;
	else
		return x * fact(x-1.0);
}

int main() {
	double factVal;
	struct timespec currTime;

	// Get/Create a seed for random number creation
	clock_gettime(CLOCK_REALTIME, &currTime);
	srandom( (unsigned) currTime.tv_nsec);
	while(1){
		fbswait( );
		factVal = fact ( (double) ((random( ) % 10 ) + 1) );
	}
}
